#include <stdlib.h>
#include <ctype.h>

char *ConvertNames( char *names )
{
   char *ptr;

   if( strlen( names ) < 1 )
       return NULL; /* bad input, caller deals with it */

/* look at the first character, and convert it if necessary */   
   ptr = names;
   if( isalpha(*ptr) ) *ptr = toupper( *ptr );

/* advance the pointer one place so that ptr-1 terms don't cause problems. */

   ptr++;
   while( *ptr ) {
     if( (',' == *(ptr-1) || ' ' == *(ptr-1)) && isalpha( *ptr ) ) 
          *ptr = toupper( *ptr );
     ptr++;
   }
   return names;  
}
